/***
  buttons.h - buttons for xtiff for CERN preprints

  there are 3 sizes of button (16x16, 32x32, 64x64) and some of those can be
  `text' or `picture' buttons.  pick what you like by defining: 
	button_width	to the width you'd like,
    	TEXTBUTTONS	to 1 for `text' buttons (with sort-of pictures)
			   something else for `picture' buttons,
  on the command line for compiling the main() module (xtiff.c).	

  to edit the buttons you can:
	 manually extract the bitmap you want from this file, 
	 add #define XXX_width, #define XXX_height at the top of the extract,
	 fire it through iconedit,  
	 delete #define XXX_width, #define XXX_height from the top of the saved
		file,
	copy it back into this file; 
  or:
	use the script `decollate-buttons' to extract all the buttons from
		this file into separate files,
	work out which of those files you want to edit:
		sub-directory 16/, 32/, or 64/ of directory picture/ or text/ 
	fire it through iconedit,
	use the script `collate-buttons' to recreate this file.

  if you want to create a new size of button, you'll need to jigger with the
  scripts `decollate-buttons' and `collate-buttons'.  see those files about
  that.

  dave robinson (dave@preprints.cern.ch)
***/

#ifndef _BUTTONS_H
#define _BUTTONS_H

#ifndef lint
static char buttons_h_sccs_id[] = "@(#) buttons.h 1.1@(#)";
#endif


/*
  these are the defaults - they can be overridden from the command line
*/
#ifndef button_width
#define button_width 	16
#endif	/*button_width */

#ifndef button_height
#define button_height	button_width
#endif


#ifndef TEXTBUTTONS
#define TEXTBUTTONS	1
#endif	/* TEXTBUTTONS */



 
#if 16 == button_width
 
#if 0 == TEXTBUTTONS
 
static char quit_bits[] = {
   0x3f, 0x46, 0x22, 0x2c, 0x02, 0x18, 0x1e, 0x10, 0x12, 0x18, 0x22, 0x24,
   0x3f, 0x66, 0x00, 0x00, 0x00, 0x00, 0x07, 0xfe, 0x02, 0x92, 0x02, 0x10,
   0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x07, 0x38};
 
static char prev_bits[] = {
   0x00, 0xc0, 0x00, 0x30, 0x00, 0x0c, 0x00, 0x83, 0xc0, 0x60, 0x30, 0x18,
   0x0c, 0x06, 0x03, 0x01, 0x03, 0x01, 0x0c, 0x06, 0x30, 0x18, 0xc0, 0x60,
   0x00, 0x83, 0x00, 0x0c, 0x00, 0x30, 0x00, 0xc0};
 
static char next_bits[] = {
   0x03, 0x00, 0x0c, 0x00, 0x30, 0x00, 0xc1, 0x00, 0x06, 0x03, 0x18, 0x0c,
   0x60, 0x30, 0x80, 0xc0, 0x80, 0xc0, 0x60, 0x30, 0x18, 0x0c, 0x06, 0x03,
   0xc1, 0x00, 0x30, 0x00, 0x0c, 0x00, 0x03, 0x00};
 
static char first_bits[] = {
   0x03, 0x00, 0x03, 0x00, 0x03, 0x38, 0x03, 0x1e, 0x83, 0x07, 0xe3, 0x01,
   0x7b, 0x00, 0xff, 0xff, 0xff, 0xff, 0x7b, 0x00, 0xe3, 0x01, 0x83, 0x07,
   0x03, 0x1e, 0x03, 0x38, 0x03, 0x00, 0x03, 0x00};
 
static char last_bits[] = {
   0x00, 0xc0, 0x00, 0xc0, 0x1c, 0xc0, 0x78, 0xc0, 0xe0, 0xc1, 0x80, 0xc7,
   0x00, 0xde, 0xff, 0xff, 0xff, 0xff, 0x00, 0xde, 0x80, 0xc7, 0xe0, 0xc1,
   0x78, 0xc0, 0x1c, 0xc0, 0x00, 0xc0, 0x00, 0xc0};
 
static char full_bits[] = {
   0xd5, 0xf5, 0xc0, 0xe1, 0xc1, 0xe1, 0xe0, 0xc0, 0xe1, 0xc0, 0xe0, 0xff,
   0xf1, 0xff, 0x70, 0x80, 0x71, 0x80, 0x38, 0x80, 0x39, 0x00, 0x38, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0xaa, 0xaa};
 
static char fit_bits[] = {
   0x55, 0x55, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0xc1, 0x00, 0xc0, 0x80,
   0xa1, 0x01, 0xa0, 0x81, 0xa1, 0x01, 0x10, 0x83, 0xf1, 0x03, 0x18, 0x86,
   0x09, 0x06, 0x1c, 0x8f, 0x01, 0x00, 0xaa, 0xaa};
 
static char grow_bits[] = {
   0x00, 0x1f, 0x80, 0x20, 0x40, 0x44, 0x20, 0x84, 0x20, 0x84, 0xa0, 0xbf,
   0x20, 0x84, 0x20, 0x84, 0x40, 0x44, 0xc0, 0x20, 0x20, 0x1f, 0x10, 0x00,
   0x08, 0x00, 0x04, 0x00, 0x02, 0x00, 0x01, 0x00};
 
static char shrink_bits[] = {
   0x00, 0x1f, 0x80, 0x20, 0x40, 0x40, 0x20, 0x80, 0x20, 0x80, 0xa0, 0xbf,
   0x20, 0x80, 0x20, 0x80, 0x40, 0x40, 0xc0, 0x20, 0x20, 0x1f, 0x10, 0x00,
   0x08, 0x00, 0x04, 0x00, 0x02, 0x00, 0x01, 0x00};
 
static char zero_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x03, 0x40, 0x06, 0x60, 0x06,
   0x60, 0x06, 0x60, 0x06, 0x60, 0x06, 0x60, 0x06, 0x60, 0x02, 0xc0, 0x03,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char ninety_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0x1e, 0xcc, 0x32, 0xcc, 0x33,
   0xcc, 0x33, 0xcc, 0x33, 0xf8, 0x33, 0x40, 0x33, 0x60, 0x13, 0x1c, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char oneeighty_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xcc, 0x79, 0x6f, 0xcb, 0x6c, 0xcf,
   0xcc, 0xcc, 0xcc, 0xcd, 0x2c, 0xcf, 0x2c, 0xcf, 0xec, 0x4f, 0xde, 0x79,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char twoseventy_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xee, 0x7b, 0xff, 0xcb, 0x39, 0xcd,
   0x18, 0xcd, 0x88, 0xcc, 0x84, 0xcc, 0x46, 0xcc, 0x5e, 0x4c, 0x7f, 0x78,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char goto_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x04, 0x80, 0x04, 0x80, 0x04,
   0xe0, 0x0f, 0x80, 0x02, 0x80, 0x02, 0xe0, 0x07, 0x40, 0x02, 0x40, 0x02,
   0x40, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char help_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x03, 0x30, 0x07, 0x70, 0x07, 0x70, 0x07,
   0x20, 0x07, 0x00, 0x03, 0x80, 0x01, 0x80, 0x00, 0x80, 0x00, 0x00, 0x00,
   0xc0, 0x01, 0xc0, 0x01, 0xc0, 0x01, 0x00, 0x00};
 
#else /* if 0 == TEXTBUTTONS */
 
static char quit_bits[] = {
   0x3f, 0x46, 0x22, 0x2c, 0x02, 0x18, 0x1e, 0x10, 0x12, 0x18, 0x22, 0x24,
   0x3f, 0x66, 0x00, 0x00, 0x00, 0x00, 0x07, 0xfe, 0x02, 0x92, 0x02, 0x10,
   0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x07, 0x38};
 
static char prev_bits[] = {
   0x00, 0xc0, 0x00, 0x30, 0x00, 0x0c, 0x00, 0x83, 0xc0, 0x60, 0x30, 0x18,
   0x0c, 0x06, 0x03, 0x01, 0x03, 0x01, 0x0c, 0x06, 0x30, 0x18, 0xc0, 0x60,
   0x00, 0x83, 0x00, 0x0c, 0x00, 0x30, 0x00, 0xc0};
 
static char next_bits[] = {
   0x03, 0x00, 0x0c, 0x00, 0x30, 0x00, 0xc1, 0x00, 0x06, 0x03, 0x18, 0x0c,
   0x60, 0x30, 0x80, 0xc0, 0x80, 0xc0, 0x60, 0x30, 0x18, 0x0c, 0x06, 0x03,
   0xc1, 0x00, 0x30, 0x00, 0x0c, 0x00, 0x03, 0x00};
 
static char first_bits[] = {
   0x03, 0x00, 0x03, 0x00, 0x03, 0x38, 0x03, 0x1e, 0x83, 0x07, 0xe3, 0x01,
   0x7b, 0x00, 0xff, 0xff, 0xff, 0xff, 0x7b, 0x00, 0xe3, 0x01, 0x83, 0x07,
   0x03, 0x1e, 0x03, 0x38, 0x03, 0x00, 0x03, 0x00};
 
static char last_bits[] = {
   0x00, 0xc0, 0x00, 0xc0, 0x1c, 0xc0, 0x78, 0xc0, 0xe0, 0xc1, 0x80, 0xc7,
   0x00, 0xde, 0xff, 0xff, 0xff, 0xff, 0x00, 0xde, 0x80, 0xc7, 0xe0, 0xc1,
   0x78, 0xc0, 0x1c, 0xc0, 0x00, 0xc0, 0x00, 0xc0};
 
static char full_bits[] = {
   0xd5, 0xf5, 0xc0, 0xe1, 0xc1, 0xe1, 0xe0, 0xc0, 0xe1, 0xc0, 0xe0, 0xff,
   0xf1, 0xff, 0x70, 0x80, 0x71, 0x80, 0x38, 0x80, 0x39, 0x00, 0x38, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0xaa, 0xaa};
 
static char fit_bits[] = {
   0x55, 0x55, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0xc1, 0x00, 0xc0, 0x80,
   0xa1, 0x01, 0xa0, 0x81, 0xa1, 0x01, 0x10, 0x83, 0xf1, 0x03, 0x18, 0x86,
   0x09, 0x06, 0x1c, 0x8f, 0x01, 0x00, 0xaa, 0xaa};
 
static char grow_bits[] = {
   0x00, 0x1f, 0x80, 0x20, 0x40, 0x44, 0x20, 0x84, 0x20, 0x84, 0xa0, 0xbf,
   0x20, 0x84, 0x20, 0x84, 0x40, 0x44, 0xc0, 0x20, 0x20, 0x1f, 0x10, 0x00,
   0x08, 0x00, 0x04, 0x00, 0x02, 0x00, 0x01, 0x00};
 
static char shrink_bits[] = {
   0x00, 0x1f, 0x80, 0x20, 0x40, 0x40, 0x20, 0x80, 0x20, 0x80, 0xa0, 0xbf,
   0x20, 0x80, 0x20, 0x80, 0x40, 0x40, 0xc0, 0x20, 0x20, 0x1f, 0x10, 0x00,
   0x08, 0x00, 0x04, 0x00, 0x02, 0x00, 0x01, 0x00};
 
static char zero_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x03, 0x40, 0x06, 0x60, 0x06,
   0x60, 0x06, 0x60, 0x06, 0x60, 0x06, 0x60, 0x06, 0x60, 0x02, 0xc0, 0x03,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char ninety_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0x1e, 0xcc, 0x32, 0xcc, 0x33,
   0xcc, 0x33, 0xcc, 0x33, 0xf8, 0x33, 0x40, 0x33, 0x60, 0x13, 0x1c, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char oneeighty_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xcc, 0x79, 0x6f, 0xcb, 0x6c, 0xcf,
   0xcc, 0xcc, 0xcc, 0xcd, 0x2c, 0xcf, 0x2c, 0xcf, 0xec, 0x4f, 0xde, 0x79,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char twoseventy_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xee, 0x7b, 0xff, 0xcb, 0x39, 0xcd,
   0x18, 0xcd, 0x88, 0xcc, 0x84, 0xcc, 0x46, 0xcc, 0x5e, 0x4c, 0x7f, 0x78,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char goto_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x04, 0x80, 0x04, 0x80, 0x04,
   0xe0, 0x0f, 0x80, 0x02, 0x80, 0x02, 0xe0, 0x07, 0x40, 0x02, 0x40, 0x02,
   0x40, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char help_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0xe0, 0x03, 0x30, 0x07, 0x70, 0x07, 0x70, 0x07,
   0x20, 0x07, 0x00, 0x03, 0x80, 0x01, 0x80, 0x00, 0x80, 0x00, 0x00, 0x00,
   0xc0, 0x01, 0xc0, 0x01, 0xc0, 0x01, 0x00, 0x00};
#endif /* if 0 == TEXTBUTTONS ... else */
 
#endif /* if 16 == button_width */
 
 
#if 32 == button_width
 
#if 0 == TEXTBUTTONS
 
static char quit_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0xf9, 0xff, 0xff, 0x9f,
   0x09, 0x00, 0x00, 0x90, 0xe9, 0x07, 0xf5, 0x97, 0x29, 0x88, 0x84, 0x90,
   0x29, 0x88, 0x84, 0x90, 0x29, 0x50, 0x84, 0x90, 0x29, 0x50, 0x84, 0x90,
   0xe9, 0x23, 0x84, 0x90, 0x29, 0x50, 0x84, 0x90, 0x29, 0x50, 0x84, 0x90,
   0x29, 0x88, 0x84, 0x90, 0x29, 0x88, 0x84, 0x90, 0xe9, 0x07, 0x85, 0x90,
   0x09, 0x00, 0x00, 0x90, 0xf9, 0xff, 0xff, 0x9f, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char prev_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x0e, 0x80, 0x01, 0x00, 0x07, 0x80,
   0x01, 0x80, 0x03, 0x80, 0x01, 0xc0, 0x01, 0x80, 0x01, 0xe0, 0x00, 0x80,
   0x01, 0x70, 0x00, 0x80, 0x01, 0x38, 0x00, 0x80, 0x01, 0x1c, 0x00, 0x80,
   0x01, 0x0e, 0x00, 0x80, 0x01, 0x07, 0x00, 0x80, 0x81, 0xff, 0xff, 0x8f,
   0xc1, 0xff, 0xff, 0x8f, 0xc1, 0xff, 0xff, 0x8f, 0x81, 0xff, 0xff, 0x8f,
   0x01, 0x07, 0x00, 0x80, 0x01, 0x0e, 0x00, 0x80, 0x01, 0x1c, 0x00, 0x80,
   0x01, 0x38, 0x00, 0x80, 0x01, 0x70, 0x00, 0x80, 0x01, 0xe0, 0x00, 0x80,
   0x01, 0xc0, 0x01, 0x80, 0x01, 0x80, 0x03, 0x80, 0x01, 0x00, 0x07, 0x80,
   0x01, 0x00, 0x0e, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char next_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x70, 0x00, 0x80, 0x01, 0xe0, 0x00, 0x80,
   0x01, 0xc0, 0x01, 0x80, 0x01, 0x80, 0x03, 0x80, 0x01, 0x00, 0x07, 0x80,
   0x01, 0x00, 0x0e, 0x80, 0x01, 0x00, 0x1c, 0x80, 0x01, 0x00, 0x38, 0x80,
   0x01, 0x00, 0x70, 0x80, 0x01, 0x00, 0xe0, 0x80, 0xf1, 0xff, 0xff, 0x81,
   0xf1, 0xff, 0xff, 0x83, 0xf1, 0xff, 0xff, 0x83, 0xf1, 0xff, 0xff, 0x81,
   0x01, 0x00, 0xe0, 0x80, 0x01, 0x00, 0x70, 0x80, 0x01, 0x00, 0x38, 0x80,
   0x01, 0x00, 0x1c, 0x80, 0x01, 0x00, 0x0e, 0x80, 0x01, 0x00, 0x07, 0x80,
   0x01, 0x80, 0x03, 0x80, 0x01, 0xc0, 0x01, 0x80, 0x01, 0xe0, 0x00, 0x80,
   0x01, 0x70, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char first_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x31, 0x00, 0x0e, 0x80, 0x31, 0x00, 0x07, 0x80,
   0x31, 0x80, 0x03, 0x80, 0x31, 0xc0, 0x01, 0x80, 0x31, 0xe0, 0x00, 0x80,
   0x31, 0x70, 0x00, 0x80, 0x31, 0x38, 0x00, 0x80, 0x31, 0x1c, 0x00, 0x80,
   0x31, 0x0e, 0x00, 0x80, 0x31, 0x07, 0x00, 0x80, 0xb1, 0xff, 0xff, 0x8f,
   0xf1, 0xff, 0xff, 0x8f, 0xf1, 0xff, 0xff, 0x8f, 0xb1, 0xff, 0xff, 0x8f,
   0x31, 0x07, 0x00, 0x80, 0x31, 0x0e, 0x00, 0x80, 0x31, 0x1c, 0x00, 0x80,
   0x31, 0x38, 0x00, 0x80, 0x31, 0x70, 0x00, 0x80, 0x31, 0xe0, 0x00, 0x80,
   0x31, 0xc0, 0x01, 0x80, 0x31, 0x80, 0x03, 0x80, 0x31, 0x00, 0x07, 0x80,
   0x31, 0x00, 0x0e, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char last_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x70, 0x00, 0x8c, 0x01, 0xe0, 0x00, 0x8c,
   0x01, 0xc0, 0x01, 0x8c, 0x01, 0x80, 0x03, 0x8c, 0x01, 0x00, 0x07, 0x8c,
   0x01, 0x00, 0x0e, 0x8c, 0x01, 0x00, 0x1c, 0x8c, 0x01, 0x00, 0x38, 0x8c,
   0x01, 0x00, 0x70, 0x8c, 0x01, 0x00, 0xe0, 0x8c, 0xf1, 0xff, 0xff, 0x8d,
   0xf1, 0xff, 0xff, 0x8f, 0xf1, 0xff, 0xff, 0x8f, 0xf1, 0xff, 0xff, 0x8d,
   0x01, 0x00, 0xe0, 0x8c, 0x01, 0x00, 0x70, 0x8c, 0x01, 0x00, 0x38, 0x8c,
   0x01, 0x00, 0x1c, 0x8c, 0x01, 0x00, 0x0e, 0x8c, 0x01, 0x00, 0x07, 0x8c,
   0x01, 0x80, 0x03, 0x8c, 0x01, 0xc0, 0x01, 0x8c, 0x01, 0xe0, 0x00, 0x8c,
   0x01, 0x70, 0x00, 0x8c, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char full_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x51, 0x55, 0x55, 0x85, 0x01, 0x3e, 0x3e, 0x80,
   0x11, 0x3e, 0x3e, 0x84, 0x01, 0x3e, 0x3e, 0x80, 0x11, 0x1f, 0x7c, 0x84,
   0x01, 0x1f, 0x7c, 0x80, 0x11, 0x1f, 0x7c, 0x84, 0x01, 0x1f, 0x7c, 0x80,
   0x91, 0x0f, 0xf8, 0x84, 0x81, 0x0f, 0xf8, 0x80, 0x91, 0x0f, 0xf8, 0x84,
   0x81, 0x0f, 0xf8, 0x80, 0x91, 0x07, 0xf0, 0x84, 0xc1, 0x07, 0xf0, 0x81,
   0xd1, 0x07, 0xf0, 0x85, 0xc1, 0x07, 0xf0, 0x81, 0xd1, 0x03, 0xe0, 0x85,
   0xe1, 0x03, 0xe0, 0x83, 0xf1, 0xff, 0xff, 0x87, 0xe1, 0xff, 0xff, 0x83,
   0xf1, 0xff, 0xff, 0x87, 0xe1, 0xff, 0xff, 0x83, 0xf1, 0x01, 0xc0, 0x87,
   0xa1, 0xaa, 0xaa, 0x82, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char fit_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x51, 0x55, 0x55, 0x85, 0x01, 0x00, 0x00, 0x80,
   0x11, 0x00, 0x00, 0x84, 0x01, 0x80, 0x00, 0x80, 0x11, 0xc0, 0x01, 0x84,
   0x01, 0xc0, 0x01, 0x80, 0x11, 0x40, 0x03, 0x84, 0x01, 0x20, 0x03, 0x80,
   0x11, 0x20, 0x06, 0x84, 0x01, 0x30, 0x06, 0x80, 0x11, 0x10, 0x06, 0x84,
   0x01, 0x10, 0x0c, 0x80, 0x11, 0x18, 0x0c, 0x84, 0x01, 0xf8, 0x0f, 0x80,
   0x11, 0x08, 0x18, 0x84, 0x01, 0x0c, 0x18, 0x80, 0x11, 0x04, 0x18, 0x84,
   0x01, 0x04, 0x30, 0x80, 0x11, 0x06, 0x30, 0x84, 0x81, 0x1f, 0xfc, 0x80,
   0x11, 0x00, 0x00, 0x84, 0x01, 0x00, 0x00, 0x80, 0x11, 0x00, 0x00, 0x84,
   0xa1, 0xaa, 0xaa, 0x82, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char grow_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0xc0, 0x0f, 0x80,
   0x01, 0x30, 0x30, 0x80, 0x01, 0x08, 0x7f, 0x80, 0x01, 0xc4, 0xc0, 0x80,
   0x01, 0x24, 0x80, 0x81, 0x01, 0x12, 0x06, 0x83, 0x01, 0x12, 0x06, 0x83,
   0x01, 0x0a, 0x06, 0x85, 0x01, 0xca, 0x3f, 0x85, 0x01, 0xca, 0x3f, 0x85,
   0x01, 0x0a, 0x06, 0x85, 0x01, 0x0c, 0x86, 0x84, 0x01, 0x0c, 0x86, 0x84,
   0x01, 0x18, 0x40, 0x82, 0x01, 0x30, 0x30, 0x82, 0x01, 0xf0, 0x0f, 0x81,
   0x01, 0xf8, 0xc0, 0x80, 0x01, 0x78, 0x3f, 0x80, 0x01, 0x3c, 0x00, 0x80,
   0x01, 0x1c, 0x00, 0x82, 0x01, 0x1e, 0x00, 0x87, 0x01, 0x0f, 0x00, 0x82,
   0x01, 0x07, 0x00, 0x80, 0x81, 0x03, 0x00, 0x80, 0x81, 0x03, 0x00, 0x80,
   0xc1, 0x01, 0x00, 0x80, 0xc1, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char shrink_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0xc0, 0x0f, 0x80,
   0x01, 0x30, 0x30, 0x80, 0x01, 0x08, 0x7f, 0x80, 0x01, 0xc4, 0xc0, 0x80,
   0x01, 0x24, 0x80, 0x81, 0x01, 0x12, 0x00, 0x83, 0x01, 0x12, 0x00, 0x83,
   0x01, 0x0a, 0x00, 0x85, 0x01, 0xca, 0x3f, 0x85, 0x01, 0xca, 0x3f, 0x85,
   0x01, 0x0a, 0x00, 0x85, 0x01, 0x0c, 0x80, 0x84, 0x01, 0x0c, 0x80, 0x84,
   0x01, 0x18, 0x40, 0x82, 0x01, 0x30, 0x30, 0x82, 0x01, 0xf0, 0x0f, 0x81,
   0x01, 0xf8, 0xc0, 0x80, 0x01, 0x78, 0x3f, 0x80, 0x01, 0x3c, 0x00, 0x80,
   0x01, 0x1c, 0x00, 0x80, 0x01, 0x1e, 0x00, 0x87, 0x01, 0x0f, 0x00, 0x80,
   0x01, 0x07, 0x00, 0x80, 0x81, 0x03, 0x00, 0x80, 0x81, 0x03, 0x00, 0x80,
   0xc1, 0x01, 0x00, 0x80, 0xc1, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char zero_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0xe0, 0x80,
   0x01, 0x00, 0x10, 0x81, 0x01, 0x00, 0x10, 0x81, 0x01, 0x00, 0x10, 0x81,
   0x01, 0x00, 0xe0, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0xc0, 0x03, 0x80,
   0x01, 0x60, 0x06, 0x80, 0x01, 0x60, 0x06, 0x80, 0x01, 0x30, 0x0c, 0x80,
   0x01, 0x30, 0x0c, 0x80, 0x01, 0x30, 0x0c, 0x80, 0x01, 0x30, 0x0c, 0x80,
   0x01, 0x30, 0x0c, 0x80, 0x01, 0x30, 0x0c, 0x80, 0x01, 0x30, 0x0c, 0x80,
   0x01, 0x60, 0x06, 0x80, 0x01, 0x60, 0x06, 0x80, 0x01, 0xc0, 0x03, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char ninety_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0xc1, 0x07, 0x80, 0x01, 0xe1, 0x0f, 0x80,
   0x01, 0x73, 0x18, 0x80, 0x01, 0x32, 0x10, 0x80, 0x01, 0x26, 0x18, 0x80,
   0x01, 0x3c, 0x1c, 0x80, 0x01, 0xf8, 0x0f, 0x80, 0x01, 0xe0, 0x03, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0xf8, 0x03, 0x80, 0x01, 0xfe, 0x0f, 0x80,
   0x01, 0x07, 0x1c, 0x80, 0x01, 0x01, 0x10, 0x80, 0x01, 0x01, 0x10, 0x80,
   0x01, 0x07, 0x1c, 0x80, 0x01, 0xfe, 0x0f, 0x80, 0x01, 0xf8, 0x03, 0x80,
   0x01, 0x00, 0x80, 0x83, 0x01, 0x00, 0x40, 0x84, 0x01, 0x00, 0x40, 0x84,
   0x01, 0x00, 0x40, 0x84, 0x01, 0x00, 0x80, 0x83, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char oneeighty_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x81, 0x07, 0x8f, 0x9f,
   0xc1, 0x8c, 0x19, 0x8f, 0xc1, 0xcc, 0x30, 0x86, 0x61, 0xd8, 0x30, 0x86,
   0x61, 0xd8, 0x31, 0x86, 0x61, 0x98, 0x1b, 0x86, 0x61, 0x18, 0x0f, 0x86,
   0x61, 0x18, 0x0e, 0x86, 0x61, 0x18, 0x1f, 0x86, 0x61, 0x98, 0x39, 0x86,
   0xc1, 0x8c, 0x30, 0x9e, 0xc1, 0x8c, 0x19, 0x8e, 0x81, 0x07, 0x0f, 0x86,
   0x01, 0x00, 0x00, 0x80, 0x71, 0x00, 0x00, 0x80, 0x89, 0x00, 0x00, 0x80,
   0x89, 0x00, 0x00, 0x80, 0x89, 0x00, 0x00, 0x80, 0x71, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char twoseventy_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0xc1, 0x01, 0x00, 0x80, 0x21, 0x02, 0x00, 0x80, 0x21, 0xc2, 0x1f, 0x80,
   0x21, 0xf2, 0x7f, 0x80, 0xc1, 0x39, 0xe0, 0x80, 0x01, 0x08, 0x80, 0x80,
   0x01, 0x08, 0x80, 0x80, 0x01, 0x38, 0xe0, 0x80, 0x01, 0xf0, 0x7f, 0x80,
   0x01, 0xc0, 0x1f, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x18, 0x00, 0x80,
   0x01, 0x78, 0x00, 0x80, 0x01, 0xd8, 0x03, 0x80, 0x01, 0x18, 0x1f, 0x80,
   0x01, 0x18, 0xf8, 0x80, 0x01, 0x18, 0xc0, 0x80, 0x01, 0x18, 0x00, 0x80,
   0x01, 0x30, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0xf0, 0xe1, 0x80,
   0x01, 0xf8, 0xc7, 0x80, 0x01, 0x38, 0xce, 0x80, 0x01, 0x18, 0xd8, 0x80,
   0x01, 0x18, 0xf0, 0x80, 0x01, 0x30, 0xe0, 0x80, 0x01, 0x60, 0xc0, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char goto_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x60, 0x18, 0x80, 0x01, 0x60, 0x18, 0x80,
   0x01, 0x60, 0x18, 0x80, 0x01, 0x60, 0x18, 0x80, 0x01, 0x60, 0x18, 0x80,
   0x01, 0x60, 0x18, 0x80, 0x01, 0x60, 0x18, 0x80, 0x01, 0x60, 0x18, 0x80,
   0x01, 0xfe, 0xff, 0x80, 0x01, 0xfe, 0xff, 0x80, 0x01, 0x30, 0x0c, 0x80,
   0x01, 0x30, 0x0c, 0x80, 0x01, 0x30, 0x0c, 0x80, 0x01, 0x30, 0x0c, 0x80,
   0x01, 0xff, 0x7f, 0x80, 0x01, 0xff, 0x7f, 0x80, 0x01, 0x18, 0x06, 0x80,
   0x01, 0x18, 0x06, 0x80, 0x01, 0x18, 0x06, 0x80, 0x01, 0x18, 0x06, 0x80,
   0x01, 0x18, 0x06, 0x80, 0x01, 0x18, 0x06, 0x80, 0x01, 0x18, 0x06, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
static char help_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x03, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0xe0, 0x03, 0x80, 0x01, 0x30, 0x07, 0x80, 0x01, 0x38, 0x0e, 0x80,
   0x01, 0x38, 0x0e, 0x80, 0x01, 0x10, 0x0e, 0x80, 0x01, 0x00, 0x0f, 0x80,
   0x01, 0x80, 0x07, 0x80, 0x01, 0x80, 0x03, 0x80, 0x01, 0xc0, 0x01, 0x80,
   0x01, 0xc0, 0x00, 0x80, 0x01, 0xc0, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0xc0, 0x00, 0x80, 0x01, 0xe0, 0x01, 0x80,
   0x01, 0xe0, 0x01, 0x80, 0x01, 0xc0, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0xc0, 0xff, 0xff, 0xff, 0xff};
 
#else /* if 0 == TEXTBUTTONS */
 
static char quit_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x07, 0x20, 0x00,
   0x60, 0x0c, 0x00, 0x01, 0x30, 0x18, 0x00, 0x01, 0x10, 0x90, 0xa4, 0x07,
   0x10, 0x90, 0x24, 0x01, 0x10, 0x90, 0x24, 0x01, 0x20, 0x98, 0x24, 0x01,
   0x60, 0x8c, 0x24, 0x05, 0xc0, 0x07, 0x27, 0x07, 0x00, 0x07, 0x00, 0x00,
   0x00, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char prev_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xc0, 0x03, 0x00, 0x00, 0x40, 0x04, 0x00, 0x00, 0x40, 0x04, 0x00, 0x00,
   0x40, 0xf4, 0x4e, 0x04, 0xc0, 0x93, 0x91, 0x02, 0x40, 0x10, 0x9f, 0x02,
   0x40, 0x10, 0x01, 0x03, 0x40, 0x10, 0x13, 0x01, 0x40, 0x10, 0x1e, 0x01,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x0c, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00,
   0x00, 0x03, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x00,
   0xe0, 0xff, 0xff, 0x07, 0xe0, 0xff, 0xff, 0x07, 0xc0, 0x00, 0x00, 0x00,
   0x80, 0x01, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00,
   0x00, 0x0c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char next_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x10, 0x04, 0x00, 0x00, 0x30, 0x04, 0x00, 0x02, 0x70, 0x04, 0x00, 0x02,
   0x50, 0xe4, 0xcc, 0x0f, 0x90, 0x14, 0x79, 0x02, 0x10, 0xf5, 0x31, 0x02,
   0x10, 0x17, 0x30, 0x02, 0x10, 0x36, 0x69, 0x0a, 0x10, 0xe4, 0xcd, 0x0e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x60, 0x00,
   0x00, 0x00, 0xc0, 0x00, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x00, 0x03,
   0xe0, 0xff, 0xff, 0x07, 0xe0, 0xff, 0xff, 0x07, 0x00, 0x00, 0x00, 0x03,
   0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0xc0, 0x00, 0x00, 0x00, 0x60, 0x00,
   0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char first_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xe0, 0x09, 0x00, 0x00, 0x20, 0x00, 0x00, 0x01, 0x20, 0x00, 0x00, 0x01,
   0x20, 0xc8, 0xbb, 0x07, 0xe0, 0x49, 0x2a, 0x01, 0x20, 0x48, 0x18, 0x01,
   0x20, 0x48, 0x30, 0x01, 0x20, 0x48, 0x28, 0x05, 0x20, 0x48, 0x38, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x30, 0x00, 0x00, 0x00, 0x30, 0x0c, 0x00, 0x00, 0x30, 0x06, 0x00, 0x00,
   0x30, 0x03, 0x00, 0x00, 0xb0, 0x01, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00,
   0xf0, 0xff, 0xff, 0x0f, 0xf0, 0xff, 0xff, 0x0f, 0xf0, 0x00, 0x00, 0x00,
   0xb0, 0x01, 0x00, 0x00, 0x30, 0x03, 0x00, 0x00, 0x30, 0x06, 0x00, 0x00,
   0x30, 0x0c, 0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char last_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x80, 0x00, 0x00, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00,
   0x80, 0x70, 0xdc, 0x03, 0x80, 0x90, 0x94, 0x00, 0x80, 0xc0, 0x8c, 0x00,
   0x80, 0xb0, 0x98, 0x00, 0x80, 0x90, 0x94, 0x02, 0x80, 0xff, 0x9d, 0x03,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x0c, 0x00, 0x00, 0x30, 0x0c, 0x00, 0x00, 0x60, 0x0c,
   0x00, 0x00, 0xc0, 0x0c, 0x00, 0x00, 0x80, 0x0d, 0x00, 0x00, 0x00, 0x0f,
   0xf0, 0xff, 0xff, 0x0f, 0xf0, 0xff, 0xff, 0x0f, 0x00, 0x00, 0x00, 0x0f,
   0x00, 0x00, 0x80, 0x0d, 0x00, 0x00, 0xc0, 0x0c, 0x00, 0x00, 0x60, 0x0c,
   0x00, 0x00, 0x30, 0x0c, 0x00, 0x00, 0x00, 0x0c, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char full_bits[] = {
   0xff, 0xff, 0xff, 0xff, 0x01, 0x00, 0x00, 0x80, 0xc1, 0x0f, 0xb0, 0x81,
   0xc1, 0x00, 0xb0, 0x81, 0xc1, 0x00, 0xb0, 0x81, 0xc1, 0x30, 0xb3, 0x81,
   0xc1, 0x3f, 0xb3, 0x81, 0xc1, 0x30, 0xb3, 0x81, 0xc1, 0x30, 0xb3, 0x81,
   0xc1, 0x30, 0xb3, 0x81, 0xc1, 0xe0, 0xb3, 0x81, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80,
   0xc1, 0x37, 0x00, 0x80, 0x61, 0x04, 0x00, 0x80, 0x61, 0x00, 0x00, 0x80,
   0xe1, 0xf0, 0xef, 0x81, 0xc1, 0x33, 0x36, 0x83, 0x01, 0x37, 0xf3, 0x83,
   0x01, 0xb6, 0x33, 0x80, 0x21, 0xb6, 0x71, 0x82, 0xe1, 0xf3, 0xef, 0x83,
   0x01, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0xff};
 
static char fit_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0x01, 0x80, 0x00, 0x00, 0x01,
   0x80, 0x3c, 0x01, 0x01, 0x80, 0x04, 0x08, 0x01, 0x80, 0x04, 0x08, 0x01,
   0x80, 0x04, 0x3d, 0x01, 0x80, 0x3c, 0x09, 0x01, 0x80, 0x04, 0x09, 0x01,
   0x80, 0x04, 0x09, 0x01, 0x80, 0x04, 0x29, 0x01, 0x80, 0x04, 0x39, 0x01,
   0x80, 0x00, 0x00, 0x01, 0x80, 0x00, 0x00, 0x01, 0x80, 0xff, 0xff, 0x01,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char grow_bits[] = {
   0x00, 0x80, 0x01, 0x00, 0x00, 0xc0, 0x03, 0x00, 0x00, 0xe0, 0x07, 0x00,
   0x00, 0xb0, 0x0d, 0x00, 0x00, 0x98, 0x19, 0x00, 0x00, 0x8c, 0x31, 0x00,
   0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00,
   0x00, 0x80, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00,
   0x08, 0x01, 0x00, 0x00, 0x0c, 0x00, 0x00, 0x00, 0x04, 0x78, 0x4f, 0x64,
   0x04, 0xc8, 0x99, 0x26, 0xc4, 0x89, 0x90, 0x3a, 0x0c, 0x89, 0x10, 0x1b,
   0x08, 0x89, 0x19, 0x19, 0xf0, 0x09, 0x0f, 0x09, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00,
   0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x8c, 0x31, 0x00,
   0x00, 0x98, 0x19, 0x00, 0x00, 0xb0, 0x0d, 0x00, 0x00, 0xe0, 0x07, 0x00,
   0x00, 0xc0, 0x03, 0x00, 0x00, 0x80, 0x01, 0x00};
 
static char shrink_bits[] = {
   0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00,
   0x00, 0x80, 0x01, 0x00, 0x00, 0x8c, 0x31, 0x00, 0x00, 0x98, 0x19, 0x00,
   0x00, 0xb0, 0x0d, 0x00, 0x00, 0xe0, 0x07, 0x00, 0x00, 0xc0, 0x03, 0x00,
   0x00, 0x80, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x5c, 0x00, 0x02, 0x04, 0x52, 0x00, 0x00, 0x04, 0x42, 0x00, 0x00, 0x04,
   0xc6, 0xf3, 0x72, 0x64, 0x4c, 0x92, 0x92, 0x34, 0x50, 0x12, 0x92, 0x0c,
   0x50, 0x12, 0x92, 0x1c, 0x52, 0x12, 0x92, 0x34, 0x4e, 0x12, 0x92, 0x64,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0xc0, 0x03, 0x00,
   0x00, 0xe0, 0x07, 0x00, 0x00, 0xb0, 0x0d, 0x00, 0x00, 0x98, 0x19, 0x00,
   0x00, 0x8c, 0x31, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00,
   0x00, 0x80, 0x01, 0x00, 0x00, 0x80, 0x01, 0x00};
 
static char zero_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00,
   0x00, 0x00, 0x09, 0x00, 0x00, 0x00, 0x09, 0x00, 0x00, 0x00, 0x06, 0x00,
   0x00, 0x38, 0x00, 0x00, 0x00, 0x28, 0x00, 0x00, 0x00, 0x44, 0x00, 0x00,
   0x00, 0x44, 0x00, 0x00, 0x00, 0x44, 0x00, 0x00, 0x00, 0x44, 0x00, 0x00,
   0x00, 0x44, 0x00, 0x00, 0x00, 0x28, 0x00, 0x00, 0x10, 0x38, 0x00, 0x00,
   0x18, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00,
   0xf8, 0x01, 0x00, 0x00, 0xf0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char ninety_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xf0, 0x00, 0x00, 0x00, 0xf8, 0x01, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00,
   0x18, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00,
   0x00, 0x00, 0x20, 0x01, 0x00, 0x00, 0x20, 0x01, 0x00, 0x00, 0xc0, 0x00,
   0x00, 0x0e, 0x07, 0x00, 0x00, 0x11, 0x05, 0x00, 0x00, 0x91, 0x08, 0x00,
   0x00, 0x91, 0x08, 0x00, 0x00, 0x9e, 0x08, 0x00, 0x00, 0x90, 0x08, 0x00,
   0x00, 0x88, 0x08, 0x00, 0x00, 0x04, 0x05, 0x00, 0x00, 0x02, 0x07, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char oneeighty_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x80, 0x1f, 0x00, 0x00, 0x00, 0x18,
   0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x08,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00,
   0x00, 0x00, 0x20, 0x01, 0x00, 0x00, 0x20, 0x01, 0x00, 0x00, 0xc0, 0x00,
   0x40, 0x38, 0x0e, 0x00, 0x40, 0x44, 0x0a, 0x00, 0x40, 0x44, 0x11, 0x00,
   0x40, 0x44, 0x11, 0x00, 0x40, 0x38, 0x11, 0x00, 0x40, 0x44, 0x11, 0x00,
   0x40, 0x44, 0x11, 0x00, 0x40, 0x44, 0x0a, 0x00, 0x40, 0x38, 0x0e, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char twoseventy_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x00,
   0x00, 0x00, 0x20, 0x01, 0x00, 0x00, 0x20, 0x01, 0x00, 0x00, 0xc0, 0x00,
   0x70, 0x7e, 0x0e, 0x00, 0x90, 0x20, 0x0a, 0x00, 0x80, 0x20, 0x11, 0x00,
   0x80, 0x10, 0x11, 0x00, 0x80, 0x10, 0x11, 0x00, 0x40, 0x08, 0x11, 0x00,
   0x60, 0x08, 0x11, 0x00, 0x20, 0x08, 0x0a, 0x00, 0xf0, 0x05, 0x0e, 0x08,
   0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x18,
   0x00, 0x00, 0x80, 0x1f, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char goto_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xe0, 0x01, 0x00, 0x00, 0x10, 0x02, 0x08, 0x00, 0x18, 0x00, 0x08, 0x00,
   0x08, 0xf0, 0xbc, 0x07, 0x08, 0x98, 0xc9, 0x0c, 0x88, 0x0b, 0x49, 0x08,
   0x18, 0x0a, 0x49, 0x08, 0x10, 0x9a, 0xe9, 0x0c, 0xe0, 0xf3, 0xb8, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x68, 0x38, 0x2c, 0x0e, 0x98, 0x44, 0x32, 0x11,
   0x88, 0x40, 0x22, 0x11, 0x88, 0x78, 0x22, 0x1f, 0x88, 0x44, 0x22, 0x01,
   0x98, 0x44, 0x32, 0x11, 0x68, 0xb8, 0x2c, 0x0e, 0x08, 0x00, 0x20, 0x00,
   0x08, 0x00, 0x22, 0x00, 0x08, 0x00, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
static char help_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x20, 0x08, 0x10, 0x00, 0x20, 0x08, 0x10, 0x00,
   0x20, 0x08, 0x10, 0x00, 0x20, 0xc8, 0x91, 0x07, 0xe0, 0x2f, 0x92, 0x08,
   0x20, 0xe8, 0x93, 0x08, 0x20, 0x28, 0x90, 0x08, 0x20, 0x68, 0x92, 0x0c,
   0x20, 0xc8, 0x93, 0x07, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x80, 0x00,
   0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
#endif /* if 0 == TEXTBUTTONS ... else */
 
#endif /* if 32 == button_width */
 
 
#if 64 == button_width
 
#if 0 == TEXTBUTTONS
 
static char quit_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFE, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0xFF, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0xFF, 0x1F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0xFF, 0x3F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x8F, 0x7F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x03, 0x7E, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x01, 0xFC, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x00, 0xF8, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0x00, 0xF8, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF1, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0x80, 0xF3, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0xC0, 0xF7, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0xC1, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x83, 0x7F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x0F, 0x3F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0xFF, 0x7F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0xFF, 0xFF, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFE, 0xF3, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x38, 0x07, 0x80, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x06, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x7D, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x8C, 0xCD, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0xC7, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x38, 0xC7, 0x9D, 0x59, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x8D, 0x9B, 0x31, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char prev_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0xD9, 0x3C, 0xC3, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0xF9, 0x66, 0xC3, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x18, 0x66, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x7E, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x06, 0x24, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x06, 0x3C, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x6E, 0x18, 0x06, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x3C, 0x18, 0x06, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char next_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x00, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x78, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0E, 0x03, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x0E, 0x03, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x16, 0xE3, 0x19, 0x7F, 0x00, 0x10, 
	0x08, 0x00, 0x36, 0x33, 0x1B, 0x1B, 0x00, 0x10, 
	0x08, 0x00, 0x26, 0x33, 0xB3, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x66, 0xF3, 0xE3, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x46, 0x33, 0xE0, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x33, 0xB0, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x73, 0x1B, 0x5B, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0xE3, 0x19, 0x33, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char first_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x80, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x70, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x70, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x3F, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x03, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0xB3, 0x79, 0x3E, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0xF3, 0xCD, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x1F, 0x33, 0x1C, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0x78, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0xE0, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0xDC, 0x2C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0x78, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char last_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x01, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x0E, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x78, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x78, 0x78, 0x3E, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xC0, 0x1C, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xF8, 0x78, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0xE0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xEC, 0xDC, 0x2C, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0xB9, 0x79, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char full_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x10, 
	0x08, 0x00, 0xF0, 0x0F, 0xF0, 0x0F, 0x80, 0x10, 
	0x08, 0x01, 0xF0, 0x0F, 0xF0, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x07, 0xE0, 0x1F, 0x80, 0x10, 
	0x08, 0x01, 0xF8, 0x07, 0xE0, 0x1F, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x07, 0xE0, 0x1F, 0x80, 0x10, 
	0x08, 0x01, 0xFC, 0x03, 0xC0, 0x3F, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0x03, 0xC0, 0x3F, 0x80, 0x10, 
	0x08, 0x01, 0xFC, 0x03, 0xC0, 0x3F, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x01, 0x80, 0x7F, 0x80, 0x10, 
	0x08, 0x01, 0xFE, 0x01, 0x80, 0x7F, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x01, 0x80, 0x7F, 0x80, 0x10, 
	0x08, 0x01, 0xFF, 0x00, 0x00, 0xFF, 0x00, 0x10, 
	0x08, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0x80, 0x10, 
	0x08, 0x01, 0xFF, 0x00, 0x00, 0xFF, 0x00, 0x10, 
	0x08, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0x80, 0x10, 
	0x08, 0x81, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x81, 0x10, 
	0x08, 0x81, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0x83, 0x10, 
	0x08, 0xC1, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0x10, 
	0x08, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0x83, 0x10, 
	0x08, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x10, 
	0x08, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0x10, 
	0x08, 0xE1, 0x1F, 0x00, 0x00, 0xF8, 0x07, 0x10, 
	0x08, 0xF0, 0x0F, 0x00, 0x00, 0xF0, 0x8F, 0x10, 
	0x08, 0xF1, 0x0F, 0x00, 0x00, 0xF0, 0x0F, 0x10, 
	0x08, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x07, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x63, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xE0, 0xCE, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC0, 0xCD, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char fit_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x80, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x80, 0x10, 
	0x08, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x10, 
	0x08, 0x01, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x80, 0x10, 
	0x08, 0x01, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x80, 0x10, 
	0x08, 0x01, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x3F, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0xFB, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x1F, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0xB3, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x63, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char grow_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x01, 0x10, 
	0x08, 0x60, 0x00, 0x00, 0x00, 0xF8, 0x01, 0x10, 
	0x08, 0x60, 0x00, 0x00, 0x00, 0x9C, 0x03, 0x10, 
	0x08, 0xF0, 0x00, 0x70, 0x00, 0x9C, 0x03, 0x10, 
	0x08, 0x90, 0x00, 0xC0, 0x01, 0x0E, 0x07, 0x10, 
	0x08, 0x98, 0x01, 0xFE, 0x03, 0x0E, 0x07, 0x10, 
	0x08, 0x98, 0x01, 0xC0, 0x01, 0x07, 0x0E, 0x10, 
	0x08, 0x0C, 0x03, 0x70, 0x00, 0xFF, 0x0F, 0x10, 
	0x08, 0xFC, 0x03, 0x00, 0x80, 0xFF, 0x1F, 0x10, 
	0x08, 0x0C, 0x03, 0x00, 0x80, 0xFF, 0x1F, 0x10, 
	0x08, 0x06, 0x06, 0x00, 0xC0, 0x01, 0x38, 0x10, 
	0x08, 0x06, 0x06, 0x00, 0xC0, 0x01, 0x38, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x70, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x70, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x70, 0x00, 0xE0, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x70, 0x00, 0xE0, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x77, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x41, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0xC0, 0x00, 0x36, 0x8E, 0x99, 0x01, 0x10, 
	0x08, 0xC0, 0x00, 0x3E, 0x9B, 0x99, 0x01, 0x10, 
	0x08, 0xC0, 0x78, 0x86, 0xB1, 0x99, 0x01, 0x10, 
	0x08, 0xC0, 0x60, 0x86, 0x31, 0xDB, 0x00, 0x10, 
	0x08, 0xC0, 0x60, 0x86, 0x31, 0xDB, 0x00, 0x10, 
	0x08, 0x80, 0x61, 0x86, 0x31, 0x66, 0x00, 0x10, 
	0x08, 0x80, 0x77, 0x06, 0x1B, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x5E, 0x06, 0x0E, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char shrink_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x1F, 0x00, 0x00, 0x00, 0x0C, 0x10, 
	0x08, 0xC0, 0x39, 0x00, 0x00, 0x00, 0x0C, 0x10, 
	0x08, 0xC0, 0x39, 0x00, 0x0E, 0x00, 0x1E, 0x10, 
	0x08, 0xE0, 0x70, 0x00, 0x38, 0x00, 0x12, 0x10, 
	0x08, 0xE0, 0x70, 0xC0, 0x7F, 0x00, 0x33, 0x10, 
	0x08, 0x70, 0xE0, 0x00, 0x38, 0x00, 0x33, 0x10, 
	0x08, 0xF0, 0xFF, 0x00, 0x0E, 0x80, 0x61, 0x10, 
	0x08, 0xF8, 0xFF, 0x01, 0x00, 0x80, 0x7F, 0x10, 
	0x08, 0xF8, 0xFF, 0x01, 0x00, 0x80, 0x61, 0x10, 
	0x08, 0x1C, 0x80, 0x03, 0x00, 0xC0, 0xC0, 0x10, 
	0x08, 0x1C, 0x80, 0x03, 0x00, 0xC0, 0xC0, 0x10, 
	0x08, 0x0E, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x0E, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x07, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x07, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0xF8, 0x31, 0x00, 0x18, 0x00, 0x03, 0x10, 
	0x08, 0x9C, 0x33, 0x00, 0x18, 0x00, 0x03, 0x10, 
	0x08, 0x0C, 0x33, 0x00, 0x00, 0x00, 0x03, 0x10, 
	0x08, 0x1C, 0xB0, 0x63, 0x9B, 0x1D, 0x33, 0x10, 
	0x08, 0x78, 0x70, 0xE7, 0x9B, 0x3B, 0x1B, 0x10, 
	0x08, 0xE0, 0x31, 0x66, 0x98, 0x31, 0x0F, 0x10, 
	0x08, 0x80, 0x33, 0x66, 0x98, 0x31, 0x0F, 0x10, 
	0x08, 0x00, 0x33, 0x66, 0x98, 0x31, 0x1B, 0x10, 
	0x08, 0x0C, 0x33, 0x66, 0x98, 0x31, 0x1B, 0x10, 
	0x08, 0xDC, 0x31, 0x66, 0x98, 0x31, 0x33, 0x10, 
	0x08, 0xF8, 0x30, 0x66, 0x98, 0x31, 0x33, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char zero_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x44, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x38, 0x44, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x6C, 0x44, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x6C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x38, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char ninety_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x40, 0x04, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x87, 0x43, 0x04, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0xCC, 0x46, 0x04, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x8C, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x6F, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0xC6, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x83, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char oneeighty_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x7C, 0x38, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x3C, 0xC6, 0x6C, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x7C, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0x6C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x7C, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char twoseventy_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0xFE, 0x38, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0xC0, 0x6C, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0x60, 0xC6, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x60, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x30, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x30, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x18, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x18, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x0C, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x0C, 0x6C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x0C, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char goto_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x81, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x81, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x81, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x81, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xDE, 0x01, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x01, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x03, 0xE0, 0xF8, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x03, 0xB0, 0x31, 0x6C, 0x00, 0x10, 
	0x08, 0x00, 0xE3, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0x83, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0x83, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0xDE, 0xB1, 0xB1, 0x6C, 0x00, 0x10, 
	0x08, 0x00, 0x78, 0xE1, 0x60, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char help_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0xc0, 0x0f, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0xf0, 0x1f, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0xf0,
   0x3c, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x78, 0x38, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x38, 0x38, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x38,
   0x3c, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x1e, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x0f, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x03, 0x30, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0x03, 0x30, 0x00, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x03,
   0x30, 0x00, 0x00, 0x10, 0x08, 0x00, 0x0c, 0xe3, 0x31, 0x1b, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0x33, 0x33, 0x37, 0x00, 0x10, 0x08, 0x00, 0xfc, 0x33,
   0x33, 0x63, 0x00, 0x10, 0x08, 0x00, 0x0c, 0xf3, 0x33, 0x63, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0x33, 0x30, 0x63, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x33,
   0x30, 0x63, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x73, 0x33, 0x37, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0xe3, 0x31, 0x1f, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x03, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1f, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
#else /* if 0 == TEXTBUTTONS */
 
static char quit_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFE, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0xFF, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0xFF, 0x1F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0xFF, 0x3F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x8F, 0x7F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x03, 0x7E, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x01, 0xFC, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x00, 0xF8, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0x00, 0xF8, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0x00, 0xF1, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0x80, 0xF3, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0xC0, 0xF7, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0xC1, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x83, 0x7F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x0F, 0x3F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0xFF, 0x7F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0xFF, 0xFF, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFE, 0xF3, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x38, 0x07, 0x80, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x06, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x7D, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x8C, 0xCD, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0xC7, 0x98, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x38, 0xC7, 0x9D, 0x59, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x8D, 0x9B, 0x31, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char prev_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0xD9, 0x3C, 0xC3, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0xF9, 0x66, 0xC3, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x18, 0x66, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x7E, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x06, 0x24, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x06, 0x3C, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x6E, 0x18, 0x06, 0x10, 
	0x08, 0x00, 0x06, 0x18, 0x3C, 0x18, 0x06, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char next_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x00, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x78, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0E, 0x03, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x0E, 0x03, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x16, 0xE3, 0x19, 0x7F, 0x00, 0x10, 
	0x08, 0x00, 0x36, 0x33, 0x1B, 0x1B, 0x00, 0x10, 
	0x08, 0x00, 0x26, 0x33, 0xB3, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x66, 0xF3, 0xE3, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x46, 0x33, 0xE0, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x33, 0xB0, 0x19, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x73, 0x1B, 0x5B, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0xE3, 0x19, 0x33, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char first_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x80, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x70, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0x70, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x78, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xE0, 0x01, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0x78, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x70, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x3F, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x03, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0xB3, 0x79, 0x3E, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0xF3, 0xCD, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x1F, 0x33, 0x1C, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0x78, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0xE0, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0xDC, 0x2C, 0x00, 0x10, 
	0x08, 0x80, 0x01, 0x33, 0x78, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char last_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x01, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x0E, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x10, 
	0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x78, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x07, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x78, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x0E, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x78, 0x78, 0x3E, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xC0, 0x1C, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xF8, 0x78, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0xE0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xCC, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0xEC, 0xDC, 0x2C, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0xB9, 0x79, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char full_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x10, 
	0x08, 0x00, 0xF0, 0x0F, 0xF0, 0x0F, 0x80, 0x10, 
	0x08, 0x01, 0xF0, 0x0F, 0xF0, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x07, 0xE0, 0x1F, 0x80, 0x10, 
	0x08, 0x01, 0xF8, 0x07, 0xE0, 0x1F, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x07, 0xE0, 0x1F, 0x80, 0x10, 
	0x08, 0x01, 0xFC, 0x03, 0xC0, 0x3F, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0x03, 0xC0, 0x3F, 0x80, 0x10, 
	0x08, 0x01, 0xFC, 0x03, 0xC0, 0x3F, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x01, 0x80, 0x7F, 0x80, 0x10, 
	0x08, 0x01, 0xFE, 0x01, 0x80, 0x7F, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x01, 0x80, 0x7F, 0x80, 0x10, 
	0x08, 0x01, 0xFF, 0x00, 0x00, 0xFF, 0x00, 0x10, 
	0x08, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0x80, 0x10, 
	0x08, 0x01, 0xFF, 0x00, 0x00, 0xFF, 0x00, 0x10, 
	0x08, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0x80, 0x10, 
	0x08, 0x81, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x81, 0x10, 
	0x08, 0x81, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0x83, 0x10, 
	0x08, 0xC1, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0x10, 
	0x08, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0x83, 0x10, 
	0x08, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x10, 
	0x08, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0x10, 
	0x08, 0xE1, 0x1F, 0x00, 0x00, 0xF8, 0x07, 0x10, 
	0x08, 0xF0, 0x0F, 0x00, 0x00, 0xF0, 0x8F, 0x10, 
	0x08, 0xF1, 0x0F, 0x00, 0x00, 0xF0, 0x0F, 0x10, 
	0x08, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x07, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0xC0, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x63, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x60, 0xCC, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xE0, 0xCE, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC0, 0xCD, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char fit_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x80, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x80, 0x10, 
	0x08, 0x01, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x80, 0x10, 
	0x08, 0x01, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x80, 0x10, 
	0x08, 0x01, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x80, 0x10, 
	0x08, 0x01, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x80, 0x10, 
	0x08, 0x01, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x80, 0x10, 
	0x08, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x3F, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0xFB, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x1F, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x33, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0xB3, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x63, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char grow_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x01, 0x10, 
	0x08, 0x60, 0x00, 0x00, 0x00, 0xF8, 0x01, 0x10, 
	0x08, 0x60, 0x00, 0x00, 0x00, 0x9C, 0x03, 0x10, 
	0x08, 0xF0, 0x00, 0x70, 0x00, 0x9C, 0x03, 0x10, 
	0x08, 0x90, 0x00, 0xC0, 0x01, 0x0E, 0x07, 0x10, 
	0x08, 0x98, 0x01, 0xFE, 0x03, 0x0E, 0x07, 0x10, 
	0x08, 0x98, 0x01, 0xC0, 0x01, 0x07, 0x0E, 0x10, 
	0x08, 0x0C, 0x03, 0x70, 0x00, 0xFF, 0x0F, 0x10, 
	0x08, 0xFC, 0x03, 0x00, 0x80, 0xFF, 0x1F, 0x10, 
	0x08, 0x0C, 0x03, 0x00, 0x80, 0xFF, 0x1F, 0x10, 
	0x08, 0x06, 0x06, 0x00, 0xC0, 0x01, 0x38, 0x10, 
	0x08, 0x06, 0x06, 0x00, 0xC0, 0x01, 0x38, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x70, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x70, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x70, 0x00, 0xE0, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x70, 0x00, 0xE0, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x77, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x41, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0xC0, 0x00, 0x36, 0x8E, 0x99, 0x01, 0x10, 
	0x08, 0xC0, 0x00, 0x3E, 0x9B, 0x99, 0x01, 0x10, 
	0x08, 0xC0, 0x78, 0x86, 0xB1, 0x99, 0x01, 0x10, 
	0x08, 0xC0, 0x60, 0x86, 0x31, 0xDB, 0x00, 0x10, 
	0x08, 0xC0, 0x60, 0x86, 0x31, 0xDB, 0x00, 0x10, 
	0x08, 0x80, 0x61, 0x86, 0x31, 0x66, 0x00, 0x10, 
	0x08, 0x80, 0x77, 0x06, 0x1B, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x5E, 0x06, 0x0E, 0x66, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char shrink_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0x1F, 0x00, 0x00, 0x00, 0x0C, 0x10, 
	0x08, 0xC0, 0x39, 0x00, 0x00, 0x00, 0x0C, 0x10, 
	0x08, 0xC0, 0x39, 0x00, 0x0E, 0x00, 0x1E, 0x10, 
	0x08, 0xE0, 0x70, 0x00, 0x38, 0x00, 0x12, 0x10, 
	0x08, 0xE0, 0x70, 0xC0, 0x7F, 0x00, 0x33, 0x10, 
	0x08, 0x70, 0xE0, 0x00, 0x38, 0x00, 0x33, 0x10, 
	0x08, 0xF0, 0xFF, 0x00, 0x0E, 0x80, 0x61, 0x10, 
	0x08, 0xF8, 0xFF, 0x01, 0x00, 0x80, 0x7F, 0x10, 
	0x08, 0xF8, 0xFF, 0x01, 0x00, 0x80, 0x61, 0x10, 
	0x08, 0x1C, 0x80, 0x03, 0x00, 0xC0, 0xC0, 0x10, 
	0x08, 0x1C, 0x80, 0x03, 0x00, 0xC0, 0xC0, 0x10, 
	0x08, 0x0E, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x0E, 0x00, 0x07, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x07, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x07, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0xF8, 0x31, 0x00, 0x18, 0x00, 0x03, 0x10, 
	0x08, 0x9C, 0x33, 0x00, 0x18, 0x00, 0x03, 0x10, 
	0x08, 0x0C, 0x33, 0x00, 0x00, 0x00, 0x03, 0x10, 
	0x08, 0x1C, 0xB0, 0x63, 0x9B, 0x1D, 0x33, 0x10, 
	0x08, 0x78, 0x70, 0xE7, 0x9B, 0x3B, 0x1B, 0x10, 
	0x08, 0xE0, 0x31, 0x66, 0x98, 0x31, 0x0F, 0x10, 
	0x08, 0x80, 0x33, 0x66, 0x98, 0x31, 0x0F, 0x10, 
	0x08, 0x00, 0x33, 0x66, 0x98, 0x31, 0x1B, 0x10, 
	0x08, 0x0C, 0x33, 0x66, 0x98, 0x31, 0x1B, 0x10, 
	0x08, 0xDC, 0x31, 0x66, 0x98, 0x31, 0x33, 0x10, 
	0x08, 0xF8, 0x30, 0x66, 0x98, 0x31, 0x33, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char zero_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x44, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x38, 0x44, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x6C, 0x44, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC6, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x6C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x38, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char ninety_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x00, 0x07, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x80, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x40, 0x04, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x87, 0x43, 0x04, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0xCC, 0x46, 0x04, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x8C, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x6F, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x6C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0xC6, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x83, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char oneeighty_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x00, 0x00, 0x18, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x00, 0x00, 0x06, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x00, 0x00, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x01, 0x80, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x7C, 0x38, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x3C, 0xC6, 0x6C, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x7C, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0xC6, 0x6C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x7C, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char twoseventy_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x00, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0F, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x3C, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xF0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x3C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0xC0, 0x03, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0x7C, 0xFE, 0x38, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0xC0, 0x6C, 0x44, 0x00, 0x10, 
	0x08, 0x00, 0xC6, 0x60, 0xC6, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0xC0, 0x60, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xE0, 0x30, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x60, 0x30, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x30, 0x18, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x18, 0x18, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x0C, 0x0C, 0xC6, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x0C, 0x6C, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFE, 0x0C, 0x38, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char goto_bits[] = {

	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x81, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x80, 0x81, 0x01, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0xC0, 0xC0, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x60, 0x60, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x01, 0x10, 
	0x08, 0x00, 0x00, 0x30, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x0C, 0x0C, 0x00, 0x00, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x10, 
	0x08, 0x80, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x06, 0x06, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x03, 0x03, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x81, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x80, 0x81, 0x01, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0xDE, 0x01, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x06, 0x01, 0x30, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x03, 0xE0, 0xF8, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x03, 0xB0, 0x31, 0x6C, 0x00, 0x10, 
	0x08, 0x00, 0xE3, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0x83, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0x83, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0x86, 0x19, 0x33, 0xC6, 0x00, 0x10, 
	0x08, 0x00, 0xDE, 0xB1, 0xB1, 0x6C, 0x00, 0x10, 
	0x08, 0x00, 0x78, 0xE1, 0x60, 0x38, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 
	0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
 
static char help_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0xc0, 0x0f, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0xf0, 0x1f, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0xf0,
   0x3c, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x78, 0x38, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x38, 0x38, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x38,
   0x3c, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x1e, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x0f, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80,
   0x03, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x80, 0x03, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x03, 0x30, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0x03, 0x30, 0x00, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x03,
   0x30, 0x00, 0x00, 0x10, 0x08, 0x00, 0x0c, 0xe3, 0x31, 0x1b, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0x33, 0x33, 0x37, 0x00, 0x10, 0x08, 0x00, 0xfc, 0x33,
   0x33, 0x63, 0x00, 0x10, 0x08, 0x00, 0x0c, 0xf3, 0x33, 0x63, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0x33, 0x30, 0x63, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x33,
   0x30, 0x63, 0x00, 0x10, 0x08, 0x00, 0x0c, 0x73, 0x33, 0x37, 0x00, 0x10,
   0x08, 0x00, 0x0c, 0xe3, 0x31, 0x1f, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x03, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
   0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1f, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
#endif /* if 0 == TEXTBUTTONS ... else */
 
#endif /* if 64 == button_width */
 

#endif	/* _BUTTONS_H */

/*** buttons.h ***/
/* created by collate-buttons Tue Aug 30 18:07:11 WET DST 1994 */
